ProxyUsers (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class ProxyUsers

    java.lang.Object
      org.apache.hadoop.security.authorize.ProxyUsers

    public class ProxyUsers

extends Object

Field Summary
`static String` | `CONF_GROUPS`
`static String` | `CONF_HADOOP_PROXYUSER`
`static String` | `CONF_HADOOP_PROXYUSER_RE`

Constructor Summary
`ProxyUsers()`

Method Summary
`static void` | `authorize(UserGroupInformation user, String remoteAddress, Configuration newConf)` Authorize the superuser which is doing doAs
`static String` | `getProxySuperuserGroupConfKey(String userName)` Returns configuration key for effective user groups allowed for a superuser
`static String` | `getProxySuperuserIpConfKey(String userName)` Return configuration key for superuser ip addresses
`static void` | `refreshSuperUserGroupsConfiguration()` reread the conf and get new values for "hadoop.proxyuser.*.groups/hosts"
`static void` | `refreshSuperUserGroupsConfiguration(Configuration conf)` refresh configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONF_GROUPS

    public static final String CONF_GROUPS

See Also:
  Constant Field Values

### CONF_HADOOP_PROXYUSER

    public static final String CONF_HADOOP_PROXYUSER

See Also:
  Constant Field Values

### CONF_HADOOP_PROXYUSER_RE

    public static final String CONF_HADOOP_PROXYUSER_RE

See Also:
  Constant Field Values

Constructor Detail

### ProxyUsers

    public ProxyUsers()

Method Detail

### refreshSuperUserGroupsConfiguration

    public static void refreshSuperUserGroupsConfiguration()

  reread the conf and get new values for "hadoop.proxyuser.*.groups/hosts"

### refreshSuperUserGroupsConfiguration

    public static void refreshSuperUserGroupsConfiguration(Configuration conf)

  refresh configuration

  Parameters:
    `conf` -

### getProxySuperuserGroupConfKey

    public static String getProxySuperuserGroupConfKey(String userName)

  Returns configuration key for effective user groups allowed for a superuser

  Parameters:
    `userName` - name of the superuser
  Returns:
    configuration key for superuser groups

### getProxySuperuserIpConfKey

    public static String getProxySuperuserIpConfKey(String userName)

  Return configuration key for superuser ip addresses

  Parameters:
    `userName` - name of the superuser
  Returns:
    configuration key for superuser ip-addresses

### authorize

    public static void authorize(UserGroupInformation user,
                                 String remoteAddress,
                                 Configuration newConf)
                          throws AuthorizationException

  Authorize the superuser which is doing doAs

  Parameters:
    `user` - ugi of the effective or proxy user which contains a real user
    `remoteAddress` - the ip address of client
    `newConf` - configuration
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation